import 'package:arctium/arctium.dart';
import 'package:arctium_msg/src/logic/store_a.dart';
import 'package:flutter_msg/flutter_msg.dart';

abstract class MsgA<Model> extends Msg<Model> {
  MsgA({UpdateFun<Model>? update, CmdFun<Model>? cmd, bool targeting = true})
      : super(update: update, cmd: cmd) {
    if (targeting) {
      Arctium.instance<StoreA<Model>>().send(this);
    }
  }
}
