import 'package:arctium/arctium.dart';
import 'package:arctium_msg/src/logic/store_a.dart';
import 'package:flutter/material.dart';
import 'package:flutter_msg/flutter_msg.dart';

class Binder<Model> extends StoreBuilder<Model, Model> {
  Binder(
    Widget Function(Model model) builder,
  ) : super(
          selector: (model) => model,
          builder: (_, model) => builder(model),
          store: Arctium.instance<StoreA<Model>>(),
        );
}
